Topic: Rails 2.0 is OUT!

http://trac.rubyonrails.com/2007/12/7/r … -it-s-done

Rails 2.0 is done, out the door, finito, Gold Master. (I just installed the gem, interestingly already version 2.0.1).

I'm glad this version is finally stable, and I think it warrants celebration by the Rails community.

Now that that's through with, what does everyone want in Rails 3.0, 2.1, or whatever future release?

Last edited by manitoba98 (2007-12-07 21:02:16)

Re: Rails 2.0 is OUT!

woot!

Re: Rails 2.0 is OUT!

One point they missed on the release notes (but I'll get it added later on the blog) is that TMail now is up to a new version in Action Mailer with a bunch of bug fixes.

Also, you can update to the latest TMail with a "gem install tmail" and rails will use the gem version instead of the bundled version.

Thought you guys might like to know smile

Mikel

Re: Rails 2.0 is OUT!

does anyone knows if there's a documentation about deprecated stuffs? i can't find the plugin containing the plain old paginator... sad

Re: Rails 2.0 is OUT!

I couldn't find an up-to-date deprecation list. I guess they just want you to install 1.2.6 and watch your logs. It would be nice to have a list. Here's where the old one is, maybe they'll update it:
http://www.rubyonrails.org/deprecation

This blog has a way to make the deprecation warnings more noticeable:
http://blog.teksol.info/2007/11/22/turn … nto-errors

Apparently the old paginator is at:
svn://errtheblog.com/svn/plugins/classic_pagination

Re: Rails 2.0 is OUT!

This like is helpful on the deprecations: http://mentalized.net/journal/2007/03/1 … recations/

Toby Hede
===================================================
FiniteStateMachine - Software Development for Social Networks
===================================================